Subject: Re: [PATCH v2 09/27] strvec: introduce new `strvec_splice()` function

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Nov 2024 08:13:49 +0900

Patrick Steinhardt <[email-masked]> writes:

> Double asterisks are typically used in contexts where comments should be
> extracted via tools like Doxygen. We don't do that in Git, so I don't
> see a reason to have the double asterisk. Our CodingGuidelines don't
> mention double asterisks, either.

Should we add an explicit mention that we frown upon double-asterisks,
even though many have already slipped into our codebase already?

I personally do not particularly mind people _preparing_ for that
someday when somebody starts extracting document snippets out with
these double-asterisks as clues, but unless/until we decide to (or
not to) enable doxygen processing on our codebase, let's not insist
on adding/deleting double-asterisks in new code during the review,
and let's not churn existing code with a patch that only adds more
double-asterisks or removes existing ones.

Thanks.